import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const slaughterGetKillerKillhousesService = createAsyncThunk(
  "SLAUGHTER_GET_KILLER_KILLHOUSES_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("kill_house/?kill_house", {
      params: {
        role_key: d.role_key || "",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
